Source: phpgacl
Source-Version: 3.3.7-7.3
Severity: important
Tags: patch
Hi!
This package is using obsolete absolute paths when stating or calling
dpkg-statoverride. This has been a compatibility symlinks for a while
and got removed in dpkg 1.17.0, I'll reintroduce it in dpkg 1.17.22 but
will be removing it again in 1.18.x.
Please stop using absolute paths in maintainer scripts, as they will
suffer this kind of problem. For more info please see:
<https://lintian.debian.org/tags/command-with-path-in-maintainer-script.html>
although that lintian check does not currently trigger for this issue,
but it should.
Attached a patch fixing this, by always assuming that dpkg-statoverride
is present, which has been true for a very long time now.
Thanks,
Guillem
diff --git a/debian/phpgacl.postinst b/debian/phpgacl.postinst
index 4275bb5..c1077b5 100644
--- a/debian/phpgacl.postinst
+++ b/debian/phpgacl.postinst
@@ -82,16 +82,14 @@ esac
# Ensure the config file is readable by root.www-data and mode 640
# since it stores the database password
-if [ ! -x /usr/sbin/dpkg-statoverride ] || \
- ! dpkg-statoverride --list $CONF > /dev/null
+if ! dpkg-statoverride --list $CONF > /dev/null
then
chown root:www-data $CONF
chmod 640 $CONF
fi
# Ensure the templates_c directory needed by smarty is writable by www-data
-if [ ! -x /usr/sbin/dpkg-statoverride ] || \
- ! dpkg-statoverride --list /usr/share/phpgacl/admin/templates_c > /dev/null
+if ! dpkg-statoverride --list /usr/share/phpgacl/admin/templates_c > /dev/null
then
chown root:www-data /usr/share/phpgacl/admin/templates_c
chmod -R 770 /usr/share/phpgacl/admin/templates_c